import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A button that can be pressed.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class Button  extends Actor
{

    public static final java.awt.Color PRESSED_COLOUR = java.awt.Color.RED;
    public static final java.awt.Color UNPRESSED_COLOUR = java.awt.Color.YELLOW;    
    
    public Button() {
        GreenfootImage image = new GreenfootImage(30,30);
        image.setColor(java.awt.Color.YELLOW);
        setImage(image);
        draw();
    }
    
    private void draw() {
        getImage().fillRect(0,0,getImage().getWidth(),getImage().getHeight());
    }
    
    /**
     * Set whether the button is pressed or not.
     * @param pressed true if the button is pressed, false otherwise.
     */
    public void setPressed(boolean pressed) {
        if(pressed) {
            getImage().setColor(PRESSED_COLOUR);
        }
        else {
            getImage().setColor(UNPRESSED_COLOUR);
        }
        draw();
    }
}
