import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A block that gets lighter the higher the level.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class LightBlock  extends Actor
{
    private int level;

    @Override
    public void addedToWorld(World world) {
        setImage(new GreenfootImage(30,30));
        setLevel(50);
    }
    
    /**
     * Set the level between 0-100 where 0 is darkest and
     * 100 is lightest.
     * @param level the level.
     */
    public void setLevel(int level) {
        this.level = level;
        GreenfootImage image = getImage();
        int val = (int)(level*2.55);
        image.setColor(new java.awt.Color(val,val,val));
        image.fillRect(0,0,image.getWidth(),image.getHeight());
    }
}
