import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A sound meter with green, yellow and red components.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class Meter  extends Actor
{

    private int level = 0;

    /**
     * Initialise the meter.
     */
    public void addedToWorld(World world) {
        GreenfootImage image = new GreenfootImage(40,200);
        setImage(image);
        drawBlocks();
    }
    
    /**
     * Draw in the blocks in the right places.
     */
    private void drawBlocks() {
        GreenfootImage image = getImage();
        image.clear();
        image.setColor(java.awt.Color.BLACK);
        image.drawRect(0,0,image.getWidth()-1,image.getHeight()-1);
        int limit = (int)(level*0.15);
        for(int i=1 ; i<=limit ; i++) {
            if(i<10) {
                image.setColor(java.awt.Color.GREEN);
            }
            else if(i<14) {
                image.setColor(java.awt.Color.YELLOW);
            }
            else {
                image.setColor(java.awt.Color.RED);
            }
            image.fillRect(3,image.getHeight()-(3+(13*i)),image.getWidth()-6,10);
        }
    }
    
    /**
     * Set the level of the meter.
     * @param level the level between 0 and 100.
     */
    public void setLevel(int level) {
        this.level = level;
        drawBlocks();
    }
}
