import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.IOException;

/**
 * The world where everything lives.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class PicoWorld  extends World
{

    private static GreenPicoBoard board;
    private Meter meter;
    private Button button;
    private Slider sliderSlider;
    private Slider aSlider;
    private Slider bSlider;
    private Slider cSlider;
    private Slider dSlider;
    private LightBlock lightBlock;
    
    /**
     * Create and initialise the world.
     */
    public PicoWorld() {
        super(400, 300, 1); 
        Greenfoot.setSpeed(50);
        meter = new Meter();
        button = new Button();
        sliderSlider = new Slider();
        sliderSlider.showValue(false);
        aSlider = new Slider();
        aSlider.showValue(false);
        bSlider = new Slider();
        bSlider.showValue(false);
        cSlider = new Slider();
        cSlider.showValue(false);
        dSlider = new Slider();
        dSlider.showValue(false);
        lightBlock = new LightBlock();
        
        addObject(new Label("Sound  "),95,40);
        addObject(meter,100,150);
        addObject(new Label("Button "),45,85);
        addObject(button,50,100);
        addObject(new Label("Light "),45,150);
        addObject(lightBlock, 50,170);
        addObject(new Label("Slider"),160,58);
        addObject(sliderSlider,300,50);
        addObject(new Label("Res. A "),160,108);
        addObject(aSlider,300,100);
        addObject(new Label("Res. B "),160,158);
        addObject(bSlider,300,150);
        addObject(new Label("Res. C "),160,208);
        addObject(cSlider,300,200);
        addObject(new Label("Res. D "),160,258);
        addObject(dSlider,300,250);
        
    }
    
    public void started() {
        board = new GreenPicoBoard();
    }
    
    public void stopped() {
        board.close();
    }
    
    public void act() {
        meter.setLevel(board.getSound());
        button.setPressed(board.isButtonPressed());
        sliderSlider.setValue(board.getSlider());
        aSlider.setValue(board.getResistanceA());
        bSlider.setValue(board.getResistanceB());
        cSlider.setValue(board.getResistanceC());
        dSlider.setValue(board.getResistanceD());
        lightBlock.setLevel(board.getLight());
    }
}
